### Method

# Pango GlyphString extents

#### Declaration [src]

    void
    pango_glyph_string_extents (
      PangoGlyphString* glyphs,
      PangoFont* font,
      PangoRectangle* ink_rect,
      PangoRectangle* logical_rect
    )

#### Description [src]

Compute the logical and ink extents of a glyph string.

See the documentation for `pango_font_get_glyph_extents()` for details about the interpretation of the rectangles.

Examples of logical (red) and ink (green) rects:

#### Parameters

`font` | `PangoFont`
| A `PangoFont`
| The data is owned by the caller of the function.
`ink_rect` | `PangoRectangle`
| Rectangle used to store the extents of the glyph string as drawn.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`logical_rect` | `PangoRectangle`
| Rectangle used to store the logical extents of the glyph string.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.